faked(1)

NUME
faked - demon care memorează proprietatea/permisiunile false ale fișierelor manipulate de procesele „fakeroot”.

REZUMAT
faked [--debug] [--foreground] [--cleanup] [--key număr-cheie] [--load] [--save-file fișier-de-salvare] [--port port-TCP]

DESCRIERE
If a fakeroot process wants to change the ownership of a file, then faked is the process that remembers that new owner. If later the same fakeroot process does a stat() for that filename, then the libfakeroot wrapped stat() call will first ask faked for the fake ownership etc. of that file, and then report it.

OPȚIUNI

--debug
    Imprimă informații de depanare la ieșirea de eroare standard.

--foreground
    Nu se bifurcă (nu execută fork) în fundal.

--cleanup number
    Curăță semafoarele.

--key key-number
    Don't allocate a new communication channel, but use channel specified by key. (If the specified channel doesn't exist, it's created).

--save-file save-file
    Salvează mediul în fișierul-de-salvare la ieșire.

--load
    Încarcă un mediu salvat anterior de la intrarea standard.

--unknown-is-real
    Utilizează proprietatea reală a fișierelor necunoscute anterior în loc să le stabilească la root:root.

--port tcp-port
    Utilizează portul TCP „port-tcp”.

ERORI
None so far. Be warned, though: although I've written quite a few much larger (and smaller) programs, I've never written anything that was as tiny as fakeroot, had as many bugs as fakeroot, and still was as usable as, say, fakeroot version 0.0_3, the first version that could be used to build itself.

COPIEREA
fakeroot este distribuit sub Licența Publică Generală GNU. (GPL 2.0 sau ulterioară).

AUTORI

joost witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

PAGINA DE MANUAL
mostly by J.H.M. Dassen <jdassen@debian.org> mods/additions by joost and Clint.

CONSULTAȚI ȘI
fakeroot(1), dpkg-buildpackage(1), debuild(1), /usr/share/doc/fakeroot/DEBUG

TRADUCERE
Această traducere a fost creată în 2023 de Remus-Gabriel Chelu. Ea este supusă licenței GNU GPL versiunea 2 (sau ulterioară). Pentru a citi versiunea originală în limba engleză, tastați «man -L C COMMAND». Vă rugăm să raportați erorile de traducere prin baza de date a erorilor (BTS) de la Debian sau trimițând un e-mail la &lt;debian-l10-romanian@lists.debian.org&gt;, lista de discuții a traducerilor în limba romănă a progrmelor și documentelor din Debian, sau direct autorului acestei traduceri la &lt;remusgabriel.chelu@disroot.org&gt;